#
# spec file for package libvc
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define c_lib   libvc0
Name:           libvc
Version:        012
Release:        1.10
Summary:        Library to read and write vcard files
License:        LGPL-2.1-only
Group:          Development/Libraries/C and C++
URL:            https://github.com/libvc/libvc
Source0:        https://github.com/libvc/libvc/archive/v%{version}.tar.gz
BuildRequires:  autoconf >= 2.71
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  libtool

%description
The libvc library is a C library for accessing and manipulating
vCard files.

%package -n %{c_lib}
Summary:        Library to read and write vcard files
Group:          System/Libraries

%description -n %{c_lib}
Library to read and write vcard files.

%package devel
Summary:        Development files for libvc
Group:          Development/Libraries/C and C++
Requires:       %{c_lib} = %{version}

%description devel
Development files for libvc.

%prep
%setup -q

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{c_lib} -p /sbin/ldconfig
%postun -n %{c_lib} -p /sbin/ldconfig

%files -n %{c_lib}
%license COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/libvc.so.*

%files devel
%{_libdir}/libvc.so
%{_includedir}/vc.h
%{_mandir}/man3/vc.3%{?ext_man}

%changelog
* Tue Oct  4 2022 Michael Vetter <mvetter@suse.com>
- Update to 012:
  * Avoid implicit declaration of functions
* Mon Dec 13 2021 Michael Vetter <mvetter@suse.com>
- Update to 011:
  * Improved parsing of large vCard files
* Thu Dec  2 2021 Michael Vetter <mvetter@suse.com>
- Update to 010:
  * Remove the calls to exit() in the shared library
  * Extend API with called vc_get_error_message, that can be used
    to retrieve the message of the last error encountered.
  * The functions parse_vcard_file, vc_new, and vc_param_new return
    NULL upon error. It is the responsibility of the calling code
    to check the error message.
* Fri Feb  5 2021 Michael Vetter <mvetter@suse.com>
- Update to 009:
  * This version fixes minor warnings from libtoolize
* Mon Feb  1 2021 Michael Vetter <mvetter@suse.com>
- Update to 008:
  * Properly parse multi-line values in MSDOS files, with line
    ending CRLF
* Wed Jul 15 2020 Michael Vetter <mvetter@suse.com>
- Update to 007:
  * This releases uses mktemp instead of the deprecated tempfile
    command in the unit tests.
* Wed Jun 17 2020 Jan Engelhardt <jengelh@inai.de>
- Do not waste time building static libs if they are removed anyway.
* Mon Jun 15 2020 Michael Vetter <mvetter@suse.com>
- Initial package libvc 006 for openSUSE
